package com.taauav.admin.entity;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 城市表
 * </p>
 *
 * @author dyg
 * @since 2019-11-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_city")
public class SysCity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private BigInteger id;

    /**
     * 父级ID
     */
    private BigInteger pid;

    /**
     * 层级：1省 2市 3区
     */
    private Integer level;

    /**
     * 省市区名称
     */
    private String name;

    /**
     * 简称
     */
    private String simple;

    /**
     * 拼音
     */
    private String pinyin;

    /**
     * 简拼
     */
    private String code;

    /**
     * 首字母
     */
    private String firstChar;

    /**
     * 原城市ID
     */
    private Integer oldCityId;

    /**
     * 有无子级：1有 2无
     */
    private Integer hasChild;

    /**
     * 显示顺序
     */
    private Integer sort;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 备注
     */
    @Length(max = 255, message = "备注最大长度为255")
    private String note;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 有效标识：1有效 0删除
     */
    private Integer mark;

}
