package com.taauav.admin.entity;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 系统字典分类表
 * </p>
 *
 * @author dyg
 * @since 2019-11-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysDictType extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 名称
     */
    @TableField("`name`")
    @NotNull(message = "分类名称不能为空")
    @Length(min = 2, max = 20, message = "分类名称长度为2-20个字")
    private String name;

    /**
     * 标识符
     */
    @NotNull(message = "标识符不能为空")
    @Length(min = 1, max = 50, message = "标识符不能超过50字")
    private String nid;

    /**
     * 排序
     */
    @TableField("`sort`")
    @NotNull(message = "排序值不能为空")
    private Integer sort;


}
