package com.taauav.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.taauav.admin.entity.TauvDriverPoint;

import java.math.BigInteger;
import java.util.List;
import java.util.Map;

/**
 * 河流坐标mapper
 * @author dyg
 */
public interface TauvDriverPointMapper extends BaseMapper<TauvDriverPoint> {

    /**
     * 根据城市id获取城市内所有河流坐标点
     * @param cityId
     * @return
     */
    List<Map<String, String>> getPointListByCityId(BigInteger cityId);

    /**
     * 根据河道id获取河道所有坐标点
     * @param driverId
     * @return
     */
    List<Map<String, String>> getPointListByDriverId(Integer driverId);
}
