package com.taauav.admin.service;

import com.taauav.common.bean.Response;
import com.taauav.admin.entity.SysLevel;
import com.taauav.common.service.IBaseService;

import java.util.Map;

/**
 * <p>
 * 职级管理表 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-11
 */
public interface ISysLevelService extends IBaseService<SysLevel> {
    /**
     * 获取职级分页列表
     *
     * @param map
     * @return
     */
    Response pageList(Map<String, String> map);

    /**
     * 添加、编辑
     *
     * @param map
     * @return
     */
    Response edit(SysLevel map);

    /**
     * 根据id获取职级信息
     *
     * @param id
     * @return
     */
    Response getLevelInfo(Integer id);

    /**
     * 根据id删除职级
     *
     * @param id
     * @return
     */
    Response drop(Integer id);

    /**
     * 修改职级状态
     *
     * @param id
     * @param status
     * @return
     */
    Response changeStatus(Integer id, Integer status);
}
