package com.taauav.admin.service;

import com.taauav.common.bean.Response;
import com.taauav.admin.entity.TauvQuestionOptions;
import com.taauav.common.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 问题选项管理表 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-13
 */
public interface ITauvQuestionOptionsService extends IBaseService<TauvQuestionOptions> {
    /**
     * 分页数据列表
     *
     * @param map
     * @return
     */
    Response getPageList(Map<String, String> map);

    /**
     * 编辑数据
     *
     * @param questionOptions
     * @return
     */
    Response edit(TauvQuestionOptions questionOptions);

    /**
     * 添加数据
     *
     * @param questionOptions
     * @return
     */
    Response add(TauvQuestionOptions questionOptions);

    /**
     * 修改状态
     *
     * @param map
     * @return
     */
    Response setStatus(Map<String, String> map);

    /**
     * 根据编号获取数据
     *
     * @param id
     * @return
     */
    TauvQuestionOptions getInfoById(Integer id);

    /**
     * 分类和类型基础数据
     *
     * @return
     */
    Map<String, Object> getBaseData();

    /**
     * 获取所有数据
     *
     * @return
     */
    List<TauvQuestionOptions> getDataList();
}
