package com.taauav.admin.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.taauav.common.bean.Response;
import com.taauav.admin.entity.TauvReport;
import com.taauav.common.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 巡检报告表 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-22
 */
public interface ITauvReportService extends IBaseService<TauvReport> {
    /**
     * 添加报告
     * @param report
     */
    void addReport(TauvReport report);

    /**
     * 根据任务编号获取数据
     * @param inspectDriverId
     * @return
     */
    TauvReport getInfoByInspectDriverId(Integer inspectDriverId);

    /**
     * 报告生成列表
     * @param map
     * @return
     */
    Response getGenerateList(Map<String,Object> map);

    /**
     * 报告审核列表
     * @param map
     * @return
     */
    Response getCheckList(Map<String,Object> map);

    /**
     * 获取报告查询列表
     * @param map
     * @return
     */
    Response getSearchList(Map<String,Object> map);

    /**
     * 报告录入列表
     * @param map
     * @return
     */
    Response getInputList(Map<String,Object> map);

    /**
     * 根据编号获取详细数据
     * @param id
     * @param actType
     * @return
     */
    Map<String,Object> getDetailById(Integer id,String actType);

    /**
     * 编辑、生成报告
     * @param map
     * @param act
     * @return
     */
    Response editSub(Map<String,Object> map, String act);

    /**
     * 编辑视频和图片地址信息
     * @param map
     * @return
     */
    Response editUrl(Map<String,Object> map);

    /**
     * 根据id获取数据
     * @param id
     * @return
     */
    TauvReport getInfoById(Integer id);

    /**
     * 根据条件获取报告数量
     * @param map
     * @return
     */
    Integer getNumByCond(Map<String,String> map);

    /**
     * 根据条件获取报告数据
     * @param map
     * @param order
     * @return
     */
    IPage<TauvReport> getListByCond(Map<String,String> map, String order);

    /**
     * 根据条件获取数据
     * @param map
     * @return
     */
    List<TauvReport> getDataListByCond(Map<String,String> map);

    /**
     * 处理报告
     * @param map
     * @param act
     * @return
     */
    Response dealReport(Map<String, Object> map, String act);
}
