package com.taauav.common.core.mps;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.taauav.common.domain.Entity;
import com.taauav.common.sql.SqlKeyword;
import com.taauav.common.util.Func;
import com.taauav.common.util.spring.SpringUtils;

import java.util.Map;

public class Condition {
    public Condition() {
    }

    public static <T> IPage<T> getPage(BaseQuery query) {
        Page<T> page = new Page((long) Func.toInt(query.getPage(), 1), (long) Func.toInt(query.getPageSize(), 10));
        page.setAsc(Func.toStrArray(SqlKeyword.filter(query.getAscs())));
        page.setDesc(Func.toStrArray(SqlKeyword.filter(query.getDescs())));
        return page;
    }

    public static <T> QueryWrapper<T> getQueryWrapper(T entity) {
        QueryWrapper<T> queryWrapper = new QueryWrapper(entity);
        queryWrapper.eq("mark", 1);
        return queryWrapper;
    }

    public static <T> QueryWrapper<T> getQueryWrapperAndTime(Entity entity) {
        QueryWrapper<T> queryWrapper = new QueryWrapper(entity);
        queryWrapper.eq("mark", 1);

        return queryWrapper;
    }

    public static <T> QueryWrapper<T> getQueryWrapper(Map<String, Object> query, Class<T> clazz) {
        query.remove("Blade-Auth");
        query.remove("current");
        query.remove("size");
        query.remove("ascs");
        query.remove("descs");
        QueryWrapper<T> qw = new QueryWrapper();
        qw.setEntity(SpringUtils.getBean(clazz));
        SqlKeyword.buildCondition(query, qw);
        return qw;
    }
}
